## maloc 0.2

=== doc/doxygen/Makefile ===
### ##########################################################################
### MALOC = < Minimal Abstraction Layer for Object-oriented C >
### Copyright (C) 1994--2000  Michael Holst
###
### This program is free software; you can redistribute it and/or modify it
### under the terms of the GNU General Public License as published by the
### Free Software Foundation; either version 2 of the License, or (at your
### option) any later version.
###
### This program is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
### See the GNU General Public License for more details.
###
### You should have received a copy of the GNU General Public License along
### with this program; if not, write to the Free Software Foundation, Inc.,
### 675 Mass Ave, Cambridge, MA 02139, USA.
###
### rcsid="$Id: Makefile,v 1.1 2002/10/01 21:37:21 mholst Exp $"
### ##########################################################################

## ###########################################################################
## File:    Makefile
##
## Purpose: Automatically generate documentation using doxygen.
##
## Notes:   Both HTML and LaTeX (dvi/ps/pdf) documentation is created.
##
## Author:  Michael Holst
## ###########################################################################

all :
	doxygen maloc.dox

## maloc 1.5

=== debian/changelog ===
maloc (1.5-2) unstable; urgency=medium

  * Team upload.
  * fix doc DESTDIR in debian patch make_install_destdir.patch
  * remove generated docs (doc/api) and src files after dh_clean.
    Closes: #1047015.
  * Upstream has configured Makefile to build docs with main build,
    so don't build docs separately. Build-Depends: graphviz (for dot).
    Mark usr/doc/maloc/api/latex/* as not-installed
  * fix spelling of tools in debian/copyright
  * debhelper compatibility level 13
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 11:15:30 +0200

maloc (1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies or deprecates debian/patches
  * drop deprecated Build-Conflicts: libreadline6-dev
  * debian/patches/make_install_destdir.patch ensures docs are
    installed into DESTDIR (with multiarch lib location)
  * Standards-Version: 4.5.0
  * debhelper compatibility level 12
    - Build-Depends: debhelper-compat (= 12)
  * Build-Depends: libjs-jquery
  * Build-Depends: libreadline-dev
    - debian patch link_libraries.patch ensures readline and libm are linked
      (these should be in LIBS, but it is set blank). Closes: #558936.

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Mar 2020 16:32:11 +0800

maloc (0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Logan Rosen ]

  * debian/control: add Homepage field.
  * debian/copyright: Don't point to symlink GPL.

  [ Joao Eriberto Mota Filho ]

  * Bumped DH level to 10. (Closes: #817574)
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/watch: added.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 26 Oct 2016 17:02:55 -0200

maloc (0.2-3) unstable; urgency=low

  * Acknowledge NMU.
  * debian/rules, debian/control: Applied patch by Logan Rosen to use
    dh-autoreconf (Closes: #740648).
  * debian/control: Moved libmaloc1 binary package to sections libs (Closes:
    #501781).

 -- Michael Banck <mbanck@debian.org>  Tue, 04 Mar 2014 10:51:43 +0100

maloc (0.2-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/format-security.diff: New patch to fix build when
    -Werror=format-security is enabled. (Closes: #643441)

 -- Tim Retout <diocles@debian.org>  Mon, 05 Dec 2011 18:41:08 +0000

maloc (0.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Build-Conflict against libreadline6-dev instead of
    libreadline5-dev. (Closes: #553808)

 -- Tim Retout <diocles@debian.org>  Wed, 17 Aug 2011 18:40:39 +0100

maloc (0.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - fixed FTBFS if build twice in a row (Closes: #442667)
  * debian/copyright
    - fixed upstream author section
    - added copyright section (and files with different copyright notices)
  * debian/libmaloc-dev.doc-base
    - changed section to Programming (it's a library)
    - removed empty lines at file end

 -- Sandro Tosi <matrixhasu@gmail.com>  Fri, 18 Apr 2008 09:16:13 +0200

maloc (0.2-2) unstable; urgency=low

  * debian/control (Build-Conflicts): Added libreadline5-dev;
    Closes: #464665.
  * debian/control (Standards-Version): Bumped to 3.7.3.
  * debian/copyright: Updated FSF address.
  * debian/control (libmaloc-dev): Use ${binary:Version} rather than
    ${Source:Version} as substvar.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Mar 2008 02:30:40 +0100

maloc (0.2-1) unstable; urgency=low

  * Initial release. 

 -- Michael Banck <mbanck@debian.org>  Thu, 29 Jun 2006 15:21:06 +0200

=== debian/control ===
Source: maloc
Section: devel
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper-compat (= 13),
 doxygen,
 graphviz,
 libjs-jquery,
 libreadline-dev
Standards-Version: 4.7.0
Homepage: http://fetk.org/codes/maloc/
Vcs-Browser: https://salsa.debian.org/debichem-team/maloc
Vcs-Git: https://salsa.debian.org/debichem-team/maloc.git

Package: libmaloc1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Object-oriented Abstraction Layer for C 
 MALOC is a small, portable, abstract C environment library for object-
 oriented C programming.  MALOC is used as the foundation layer for a
 number of scientific applications, including MC, SG, and APBS.  MALOC
 can be used as a small stand-alone abstraction environment for writing
 portable C programs which need access to resources which are typically
 architecture-dependent, such as INET sockets, timing routines, and so
 on.  MALOC provides abstract datatypes, memory management routines,
 timing routines, machine epsilon, access to UNIX and INET sockets, MPI,
 etc.  All things that can vary from one architecture to another are
 abstracted out of an application code and placed in MALOC.

Package: libmaloc-dev
Section: libdevel
Architecture: any
Depends: libmaloc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 libjs-jquery
Description: Object-oriented Abstraction Layer for C (development files)
 MALOC is a small, portable, abstract C environment library for object-
 oriented C programming.  MALOC is used as the foundation layer for a
 number of scientific applications, including MC, SG, and APBS.  MALOC
 can be used as a small stand-alone abstraction environment for writing
 portable C programs which need access to resources which are typically
 architecture-dependent, such as INET sockets, timing routines, and so
 on.  MALOC provides abstract datatypes, memory management routines,
 timing routines, machine epsilon, access to UNIX and INET sockets, MPI,
 etc.  All things that can vary from one architecture to another are
 abstracted out of an application code and placed in MALOC.
 . 
 This package contains the header files, static library and the 
 programmer's guide in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := --enable-shared

%:
	dh $@

execute_after_dh_installdocs:
	rm debian/libmaloc-dev/usr/share/doc/libmaloc-dev/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/libmaloc-dev/usr/share/doc/libmaloc-dev/html/jquery.js

execute_after_dh_clean:
	rm -rf doc/api doc/doxygen/maloc.dox
	rm -f src/aaa_inc/maloc/maloc_base.h
	rm -f src/efence/Makefile
